#!/bin/sh
#*******************************************************************************
# Licensed Materials - Property of IBM and/or HCL
# (c) Copyright IBM Corporation 2015, 2016. All Rights Reserved.
# (c) Copyright HCL Technologies Ltd. 2016, 2017. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:  
# Use, duplication or disclosure restricted by GSA ADP Schedule 
# Contract with IBM Corp. 
#*******************************************************************************
if cd "`dirname \"$0\"`"; then
    _SCRIPTDIR=`pwd`
    cd "$OLDPWD" || exit 1
else
    exit 1
fi

_JAVA_HOME="$_SCRIPTDIR/../../jre"

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$_SCRIPTDIR/../../../jre"
fi

if [ ! -d "$_JAVA_HOME" ]; then
	_JAVA_HOME="$JAVA_HOME"
fi

_RUNJAVA="$_JAVA_HOME/bin/java"

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA="$_JAVA_HOME/Contents/Home/bin/java"
fi

if [ ! -x "$_RUNJAVA" ]; then
   _RUNJAVA=java
fi

"$_RUNJAVA" -classpath ISO20022XSDDownloader.jar:org.htmlparser_2.0.0.jar com.ibm.rational.rit.iso20022.xsdloader.ISO20022XSDLoader
